master
Jeff Cliff 2021-09-25 15:12:08 -06:00
parent bf8d7499c2
commit a8273c1136
4 changed files with 17 additions and 13 deletions

0
ChangeLog 100644
View File

View File

@ -17,14 +17,14 @@ Audacious 3.10+, Glib 2.64+, SDL 2.0.10+
**Install deps in Ubuntu**
`sudo apt-get -y install pkg-config audacious-dev libsdl2-dev libglib2.0-dev`
`sudo apt-get install pkg-config audacious-dev libsdl2-dev libglib2.0-dev`
Install from tarball
-------
- [Download](https://git.nogafam.es/themusicgod1/evacuated-infinity-plugin/releases/latest/)
- tar xf infinity-plugin-{version}.tar.xz
- ./configure
- ./configure --prefix=/usr --libdir=/usr/lib/x86_64-linux-gnu
- make
- sudo make install
@ -32,7 +32,7 @@ Install from repo
-------
- git clone https://git.nogafam.es/themusicgod1/evacuated-infinity-plugin
- ./autogen.sh
- ./autogen.sh --prefix=/usr --libdir=/usr/lib/x86_64-linux-gnu
- make
- sudo make install

View File

@ -23,8 +23,8 @@ srcdir=${srcdir:-.}
# default version requirements ...
REQUIRED_AUTOCONF_VERSION=${REQUIRED_AUTOCONF_VERSION:-2.65}
REQUIRED_AUTOMAKE_VERSION=${REQUIRED_AUTOMAKE_VERSION:-1.16}
REQUIRED_LIBTOOL_VERSION=${REQUIRED_LIBTOOL_VERSION:-1.4.3}
REQUIRED_PKG_CONFIG_VERSION=${REQUIRED_PKG_CONFIG_VERSION:-0.14.0}
REQUIRED_LIBTOOL_VERSION=${REQUIRED_LIBTOOL_VERSION:-2.4.6}
REQUIRED_PKG_CONFIG_VERSION=${REQUIRED_PKG_CONFIG_VERSION:-0.29.1}
# a list of required m4 macros. Package can set an initial value
REQUIRED_M4MACROS=${REQUIRED_M4MACROS:-}
@ -266,6 +266,8 @@ forbid_m4macro gnome-cxx-check.m4
want_libtool=false
want_pkg_config=false
#it doesn't work anyway (?)
want_maintainer_mode=false
configure_files="`find $srcdir -name '{arch}' -prune -o -name '_darcs' -prune -o -name '.??*' -prune -o -name configure.ac -print -o -name configure.in -print`"
@ -294,11 +296,12 @@ for configure_ac in $configure_files; do
done
#tell Mandrake autoconf wrapper we want autoconf 2.5x, not 2.13
WANT_AUTOCONF_2_5=1
export WANT_AUTOCONF_2_5
version_check autoconf AUTOCONF 'autoconf2.50 autoconf autoconf-2.53' $REQUIRED_AUTOCONF_VERSION \
"http://ftp.gnu.org/pub/gnu/autoconf/autoconf-$REQUIRED_AUTOCONF_VERSION.tar.gz"
AUTOHEADER=`echo $AUTOCONF | sed s/autoconf/autoheader/`
#WANT_AUTOCONF_2_5=1
#export WANT_AUTOCONF_2_5
#version_check autoconf AUTOCONF 'autoconf2.50 autoconf autoconf-2.53' $REQUIRED_AUTOCONF_VERSION \
# "http://ftp.gnu.org/pub/gnu/autoconf/autoconf-$REQUIRED_AUTOCONF_VERSION.tar.gz"
#AUTOHEADER=`echo $AUTOCONF | sed s/autoconf/autoheader/`
# what is this about?
automake_progs="automake-1.16 automake-1.15 automake-1.14 automake-1.13 automake-1.12 automake-1.11 automake-1.10 automake-1.9 automake-1.8 automake-1.7 automake-1.6 automake-1.5"
version_check automake AUTOMAKE "$automake_progs" $REQUIRED_AUTOMAKE_VERSION \

View File

@ -37,7 +37,8 @@ static const char about_text[] =
"Based on the XMMS plugin:\n"
"Copyright 2000 Julien Carme\n\n"
"Contributions from:\n"
"CBke (C) 2016 CBke at NSA/Microsoft github \n"
"Jeff Cliff jeffrey.cliff@gmail.com\n"
"CBke (C) 2016 CBke at NSA/Microsoft github \n"
"John Lightsey (C) 2004 <john@nixnuts.net>\n"
"Jean Delvare (C) 2004 <khali@linux-fr.org>\n"
"Will Tatam (C) 2004 <wtatam@premierit.com>\n"
@ -149,8 +150,8 @@ static gboolean is_playing() {
}
static gchar* get_title() {
String title = aud_playlist_get_title(aud_playlist_get_playing());
return (gchar*) title.to_raw();
String title = aud_drct_get_title(); // used to have aud_playlist_get_playing() as an argument
return (gchar*) g_strdup (title) ; // ->to_raw() raw_get() ??
}
static void play() {